
/**********************************************************
* Delay class for use with animation
* Written as a method by Scott McElfresh, February 2003 
* Modifed to become a class by da' Moose, February 2003
**********************************************************/
import java.util.*;

public class Delayer
{
   // create a delay of x time units (supposedly milliseconds)
	public static void doDelay(int x)
	{          
	  //  Thread.currentThread().yield();  //This line sometimes helps the loss of control on some systems.
	   Date begin = new Date();
	   long t1 = begin.getTime();
	   while (true)
	   {
	      Date now = new Date();
	      long t2 = now.getTime();

	      if (t2 - t1 > (long)x)
	      {  
	                return;
	      }
	   }
	}
}
