/**
This class allows to convert color names to Color, for certain colors.
written by Scott McElfresh
*/

import java.awt.Color;
import java.util.Random;

public class FishColors
{
   private static Color [] colors = 
                 {Color.red,Color.gray,Color.yellow,Color.green,
                  Color.orange,Color.magenta, Color.cyan, Color.pink, Color.white};
   private static String [] names = 
                 {"red","gray","yellow","green","orange","magenta", "light blue", "pink", "white"};
   
   public static Color convert(String colorname)
   {
     for (int i = 0; i < colors.length; i++)
      {
         if (names[i].equals(colorname))
             return colors[i];
      }
      return null;
   }
   
   public static String convert(Color c)
   {
      for (int i = 0; i < colors.length; i++)
      {
         if (colors[i].equals(c))
             return names[i];
      }
      return null;
          
   }
   
   public static String getRandomColor()
   {
       Random R = new Random();
       return new String(names[R.nextInt(names.length)]);
   }
}